
package de.ivu.elect.business.gebietsbaum.boundary;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.Wahltermin;

@GroupedConversationScoped
@ConversationGroup(AbstractGebietsgruppierungSearchParameters.class)
public class GebietsgruppierungSearchParameters extends AbstractGebietsgruppierungSearchParameters {

  private static final long serialVersionUID = 1L;

  private String gebietsgruppierungArt;

  public GebietsgruppierungSearchParameters() {
    super();
  }

  public String getGebietsgruppierungArt() {
    return gebietsgruppierungArt;
  }

  public boolean hasGebietsgruppierungArt() {
    return getGebietsgruppierungArt() != null;
  }

  public void setGebietsgruppierungArt(String gebietsgruppierungArt) {
    this.gebietsgruppierungArt = gebietsgruppierungArt;
  }

  public boolean hasWahl() {
    return isWahlSelected();
  }

  public Wahl getWahl() {
    return getSelectedWahl();
  }

  public boolean hasWahltermin() {
    return isWahlterminSelected();
  }

  public Wahltermin getWahltermin() {
    return getSelectedWahltermin();
  }
}
